Assign a channel endpoint to a queue
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/workspace/queue/{uuid}/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/workspace/queue/{uuid}/channels"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/workspace/queue/{uuid}/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "call",
"identifier": "+12013790120",
"endpoint_id": "<string>",
"mode": "autopilot",
"ai_agent": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sla_seconds": 30,
"knowledge_gap": {
"enabled": true,
"threshold": 67,
"hand_off_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"callback": {
"enabled": true,
"user_email": "<string>",
"prompt": "<string>"
},
"overflow": {
"enabled": true,
"reason": "threshold",
"target_type": "agent",
"target": "<string>"
},
"escalation": {
"enabled": true,
"reason": "sla",
"target_type": "agent",
"target": "<string>"
},
"working_hours": {
"enabled": true,
"days": [
"Mon"
],
"start": "09:00",
"end": "18:00",
"after_hours": "<string>"
}
}
}Workspace Queue
Assign a channel endpoint to a queue
Use the endpoint id returned by /workspace/queue/available-endpoints or /workspace/queue/options. Phone/voice numbers are channel call.
POST
/
api
/
v1
/
workspace
/
queue
/
{uuid}
/
channels
Assign a channel endpoint to a queue
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
Response
201 - application/json
Channel assigned
A number/account assigned to a queue, with the full per-number answering configuration.
Show child attributes
Show child attributes
⌘I